| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/getopt.h File Reference

Declarations for getopt. More...

`#include "csextern.h"`

Go to the source code of this file.

## Classes
struct | getopt_option
| Describe the long-named options requested by the application. More...
## Defines
#define | __STDC__ 1
#define | no_argument 0
#define | option getopt_option
| Quirk: so that using the word 'option' in any doxygen comments doesn't create a link to getopt.h.
#define | optional_argument 2
#define | required_argument 1
## Variables
char * | optarg
| For communication from `getopt' to the caller.
int | opterr
| Callers store zero here to inhibit the error message `getopt' prints for unrecognized options.
int | optind
| Index in ARGV of the next element to be scanned.
int | optopt
| Set to an option character which was unrecognized.

## Detailed Description

Declarations for getopt.

Definition in file getopt.h.

## Define Documentation

#define option getopt_option

Quirk: so that using the word 'option' in any doxygen comments doesn't create a link to getopt.h.

Definition at line 113 of file getopt.h.

## Variable Documentation

char* optarg

For communication from `getopt' to the caller.

When `getopt' finds an option that takes an argument, the argument value is returned here. Also, when `ordering' is RETURN_IN_ORDER, each non-option ARGV-element is returned here.

int opterr

Callers store zero here to inhibit the error message `getopt' prints for unrecognized options.

int optind

Index in ARGV of the next element to be scanned.

This is used for communication to and from the caller and for communication between successive calls to `getopt'.

On entry to `getopt', zero means this is the first call; initialize.

When `getopt' returns -1, this is the index of the first of the non-option elements that the caller should itself scan.

Otherwise, `optind' communicates from one call to the next how much of ARGV has been scanned so far.

int optopt

Set to an option character which was unrecognized.